AILIVE文档
API 参考接口列表

更新平台来源

更新平台直播 ID、登录状态、身份或能力,或平台直播间的状态(`live`、`offline`、`stopped`)。

PATCH
/v1/room/sources/{source_id}

路径参数

source_id*Source Id
格式uuid

请求头参数

authorization?string|null

请求正文

application/json
  1. body
capabilities?|null
identity?|null
loginState?|null
platformLiveId?|null
status?|null

响应正文

Successful Response

application/json
  1. response
capabilities*
channel*Channel
可选值"page_push""page_poll""page_dom""console_page""manual"
collector*
connectionId*Connectionid
格式uuid
createdAt*Createdat
格式date-time
id*Id
格式uuid
identity*Identity
可选值"full""masked""masked_nokey"
interaction*Interaction

Whether its comments go to the reply queue

lastDataAt*|null
loginState*Loginstate
可选值"anonymous""viewer""owner"
platformLiveId*string|null
platformRoom*
state*State
可选值"collecting""degraded""blocked""idle""failed"
stateMessage*string|null
stateReason*string|null
status*Status
可选值"unknown""live""offline""stopped"
stoppedAt*|null
请求示例
curl -X PATCH 'https://api.ailive.studio/v1/room/sources/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Authorization: Bearer <ACCESS_TOKEN>' \  -H 'Content-Type: application/json' \  -d '{}'
响应示例
{  "capabilities": {    "property1": "full",    "property2": "full"  },  "channel": "page_push",  "collector": {    "adapter": "string",    "kind": "page_inject",    "name": "string",    "version": "string"  },  "connectionId": "84b500d7-71c8-4b1f-adf4-f1eb0000973d",  "createdAt": "2019-08-24T14:15:22Z",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "identity": "full",  "interaction": true,  "lastDataAt": "2019-08-24T14:15:22Z",  "loginState": "anonymous",  "platformLiveId": "string",  "platformRoom": {    "anchorName": "string",    "createdAt": "2019-08-24T14:15:22Z",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "idType": "string",    "name": "string",    "platform": "douyin",    "platformRoomKey": "string",    "url": "string"  },  "state": "collecting",  "stateMessage": "string",  "stateReason": "string",  "status": "unknown",  "stoppedAt": "2019-08-24T14:15:22Z"}